.generated-form-container.career-form > form {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.generated-form-container.career-form > form > .generated-form__input-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.generated-form-container.career-form > form > .generated-form__consent-container {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container select,
.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container input {
    width: 100%;
    border-radius: 4px;
    border: 1px #D0D5DD solid;
    padding: 12px;
    min-height: 56px;
}

.generated-form-container.career-form > form > .generated-form__input-container .generated-form__row-label {
    color: black;
    font-weight: 700;
    font-size: 14px;
    text-align: left;
}

.generated-form-container.career-form > form > .generated-form__consent-container > .generated-form__row > .generated-form__row-label {
    font-size: 10px;
    line-height: 13px;
}

.generated-form-container.career-form > form > .generated-form__consent-container > .generated-form__row > .generated-form__row-label > label > input {
    position: relative;
    top: 3px;
}

.generated-form-container.career-form > form > .generated-form__submit {
    margin-top: 24px;
    height: 60px;
    font-weight: 600;
    font-size: 18px;
    background-color: #d4a773;
    color: white;
    border-radius: 8px;
    border: none;
    width: 100%;
}

.generated-form-container.career-form > form > .generated-form__submit:hover {
    opacity: 0.8;
}

.generated-form-container.career-form > form > .generated-form__consent-container > .generated-form__row {
    display: flex;
}

.generated-form-container.career-form > form > .generated-form__consent-container > .generated-form__row > .generated-form__row-label > .generated-form__error-consent {
    font-size: 13px;
    margin-bottom: 8px;
}

.generated-form-container.career-form > form > .generated-form__consent-container > .generated-form__row > .generated-form__row-label {
    font-size: 13px;
    line-height: 1.4;
    text-align: left;
}

.generated-form-container.career-form > form > .generated-form__row.row-file > .generated-form__row-label {
    text-align: left;
}

.generated-form-container.career-form > form > .generated-form__row.row-file > .bootstrap-filestyle > span > label {
    font-size: 17px;
    border: none;
    border-radius: 0 8px 8px 0;
    background-color: #2F202D;
}

.generated-form-container.career-form > form > .generated-form__row.row-file.input-error span.buttonText {
    font-size: 17.5px;
}

.generated-form-container.career-form > form > .generated-form__row.row-file > .bootstrap-filestyle > span > label:hover {
    opacity: 0.8;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container > .generated-form__error {
    text-align: left;
}

.generated-form-container.career-form > form > .generated-form__input-container {
    text-align: left;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container input {
    padding-left: 45px;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container input#name {
    background: white url("/img/forms/user.svg") no-repeat scroll 13px 18px;
    background-position-y: 14px;
    background-size: 24px;
}

.generated-form-container.career-form > form #position_custom,
.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container input#surname {
    background: white url("/img/forms/user.svg") no-repeat scroll 13px 18px;
    background-position-y: 14px;
    background-size: 24px;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container #phone {
    background: white url("/img/forms/phone.svg") no-repeat scroll 13px 18px;
    background-position-y: 14px;
    background-size: 24px;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row > .generated-form__row-input-container #email {
    background: white url("/img/forms/email.svg") no-repeat scroll 13px 18px;
    background-position-y: 14px;
    background-size: 24px;
}

.generated-form-container.career-form > form > .generated-form__input-container > .generated-form__row:nth-child(4) {
    /*margin-bottom: 24px;*/
}

.generated-form-container.career-form > form select#position {
    width: 100%;
    padding: 12px;
    border: none;
    outline: none;
    border-radius: 4px;
    background-color: #fff;
    font: inherit;
    color: inherit;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    box-sizing: border-box;

    background-image: url("/img/kariera/select-down.svg");
    background-repeat: no-repeat;
    background-position: right 12px center;
    background-size: 18px;
}

input.sf_btn {
    padding: 6px 12px;
    font-size: 17px;
    border: none;
    border-radius: 0 8px 8px 0;
    background-color: #2F202D;
    color: white;
    position: relative;
    left: -4px;
}

span.sf_filename {
    width: 100%;
    padding: 6px 12px;
    border: 1px solid #ced4da;
    background-color: #e9ecef;
    border-top-left-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;

    /*max-width: 300px;*/
    white-space: nowrap;
    overflow: auto;
}

.generated-form-container.career-form > form > .generated-form__row.row-file {
    display: flex;
    flex-direction: row;
    text-align: left;
}

.generated-form-container.career-form > form .generated-form__input-container {
    margin-bottom: 24px;
}

.styled-cv {
    width: 100%;
    font-size: 1rem;
    color: #98A2B3;
    padding: 8px;
    border: 1px solid #D0D5DD;
    border-radius: 8px;
    cursor: pointer;
    background-color: white;
}

.styled-cv::file-selector-button {
    background: #2F202D;
    color: white;
    border: none;
    padding: 0.5em 1em;
    margin-right: 1em;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 600;
    transition: background 0.2s;
}

.styled-cv::file-selector-button:hover {
    opacity: 0.8;
}